/*
 * Class WEL_TB_STATE_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_227 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_227 [] = {0xFF01,1551,226,0xFFFF};
static const EIF_TYPE_INDEX egt_2_227 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_3_227 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_227 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_227 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_6_227 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_7_227 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_227 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_227 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_227 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_227 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_227 [] = {0xFF01,226,0xFFFF};


static const struct desc_info desc_227[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_227), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_227), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_227), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_227), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_227), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_227), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_227), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_227), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_227), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_227), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_227), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_227), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C5 /*226*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_227), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4891, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4892, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4893, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4894, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4896, 0xFFFFFFFF},
};
void Init227(void)
{
	IDSC(desc_227, 0, 226);
	IDSC(desc_227 + 1, 1, 226);
	IDSC(desc_227 + 32, 966, 226);
}


#ifdef __cplusplus
}
#endif
